## flightgear 2020.3.16+dfsg

=== 3rdparty/CMakeLists.txt ===

if (NOT SYSTEM_SQLITE)
    add_subdirectory(sqlite3)
endif()

if (ENABLE_IAX)
    add_subdirectory(iaxclient/lib)
endif()

add_subdirectory(mongoose)
add_subdirectory(cjson)

add_subdirectory(flite_hts_engine)

if (SYSTEM_HTS_ENGINE)
    set(HTS_Engine_FIND_REQUIRED TRUE)
    find_package(HtsEngine)

    include_directories(${HTS_ENGINE_INCLUDE_DIR})
    message(STATUS "Using HTS engine includes at: ${HTS_ENGINE_INCLUDE_DIR}")
    message(STATUS "Using HTS engine libraries: ${HTS_ENGINE_LIBRARIES}")
else()
    add_subdirectory(hts_engine_API)
    include_directories(${PROJECT_SOURCE_DIR}/3rdparty/hts_engine_API/include )
endif()

if (ENABLE_HID_INPUT)
    add_subdirectory(hidapi)
endif()

add_subdirectory(fonts)

if (ENABLE_PLIB_JOYSTICK)
    add_subdirectory(joystick)
endif()

if (NOT SYSTEM_CPPUNIT)
    add_subdirectory(cppunit)
endif()

=== package/CMakeLists.txt ===

# this is the timestampe of when we ran Cmake, we could 
# switch to parsing this from flightgear/version file explicity,
# but it's only needed by AppStream metainfo for the moment

string(TIMESTAMP FG_CMAKE_TIMESTAMP "%Y-%m-%d")

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    # our .desktop file specifies --launcher, so only install it for
    # a build with the launcher enabled.
    if (ENABLE_QT)
        install(FILES org.flightgear.FlightGear.desktop DESTINATION share/applications)
    endif()

    # generate a metainfo file corresponding to this release
    configure_file (
        "${CMAKE_CURRENT_SOURCE_DIR}/org.flightgear.FlightGear.metainfo.in"
        "${CMAKE_CURRENT_BINARY_DIR}/org.flightgear.FlightGear.metainfo.xml"
    )

    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/org.flightgear.FlightGear.metainfo.xml" DESTINATION share/metainfo)

endif()

=== src/CMakeLists.txt ===

include_directories(${PROJECT_SOURCE_DIR})

# note order here affects link order, and hence linking correctness
# on systems with a traditional ld (eg, GNU ld on Linux)
foreach( mylibfolder
		Add-ons
		Airports
		Aircraft
		ATC
		EmbeddedResources
		Canvas
		Radio
		Autopilot
		Cockpit
		Environment
		GUI
		Input
		Instrumentation
		Model
		MultiPlayer
		AIModel
		Navaids
		Network
		Scenery
		Scripting
		Sound
		Systems
		Time
		Traffic
		FDM
		Viewer
		Main
	)

	add_subdirectory(${mylibfolder})

endforeach( mylibfolder )

=== test_suite/CMakeLists.txt ===
# CMake module includes.
include(SetupFGFSEmbeddedResources)
include(SetupFGFSIncludes)
include(SetupFGFSLibraries)
include(SetupMSVCGrouping)

# Add each test suite category.
foreach(test_category
        gui_tests
        simgear_tests
        system_tests
        unit_tests
        fgdata_tests
    )
    add_subdirectory(${test_category})
endforeach(test_category)

# Add the testing API.
add_subdirectory(FGTestApi)

# Add all test suite sources and headers.
set(TESTSUITE_SOURCES
    ${TESTSUITE_SOURCES}
    bootstrap.cxx
    dataStore.cxx
    fgCompilerOutputter.cxx
    fgTestListener.cxx
    fgTestRunner.cxx
    formatting.cxx
    logging.cxx
    testSuite.cxx
)
set(TESTSUITE_HEADERS
    ${TESTSUITE_HEADERS}
    dataStore.hxx
    fgCompilerOutputter.hxx
    fgTestListener.hxx
    fgTestRunner.hxx
    formatting.hxx
    logging.hxx
)

# The test suite output directory.
set(TESTSUITE_OUTPUT_DIR "${CMAKE_CURRENT_BINARY_DIR}")

# Get the CppUnit sources and headers to be built into the test suite.
if (NOT SYSTEM_CPPUNIT)
    message(STATUS "CppUnit: Building the FlightGear supplied CppUnit library")

    get_property(CPPUNIT_SOURCES GLOBAL PROPERTY CPPUNIT_SOURCES)
    get_property(CPPUNIT_HEADERS GLOBAL PROPERTY CPPUNIT_HEADERS)


    add_library(CppUnitLib STATIC ${CPPUNIT_SOURCES} ${CPPUNIT_HEADERS})

    target_include_directories(CppUnitLib PUBLIC "${PROJECT_SOURCE_DIR}/3rdparty/cppunit/include")

    set(CPPUNIT_LIBRARIES CppUnitLib)
else()
    message(STATUS "CppUnit: Linking to the system supplied CppUnit library")
endif()

#-----------------------------------------------------------------------------
# Set up all test suites as CTests.

# Activation.
include(Dart)

# System test suites.
add_test(AeroMeshSystemTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -s AeroMeshTests)
#add_test(GPSSystemTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -s GPSTests)
#add_test(NavaidsSystemTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -s NavaidsTests)

# Unit test suites.
add_test(AddonManagementUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u AddonManagementTests)
add_test(AeroElementUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u AeroElementTests)
add_test(AircraftPerformanceUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u AircraftPerformanceTests)
add_test(AutosaveMigrationUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u AutosaveMigrationTests)
add_test(FlightplanUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u FlightplanTests)
add_test(FPNasalUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u FPNasalTests)
add_test(GPSUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u GPSTests)
add_test(HoldControllerUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u HoldControllerTests)
if(ENABLE_HID_INPUT)
    add_test(HIDInputUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u HIDInputTests)
endif()
add_test(LaRCSimMatrixUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u LaRCSimMatrixTests)
add_test(MktimeUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u MktimeTests)
add_test(NasalSysUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u NasalSysTests)
add_test(NavaidsUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u NavaidsTests)
add_test(NavRadioUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u NavRadioTests)
add_test(PosInitUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u PosInitTests)
add_test(RNAVProcedureUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u RNAVProcedureTests)
add_test(RouteManagerUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u RouteManagerTests)
add_test(YASimAtmosphereUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -u YASimAtmosphereTests)

# GUI test suites.

# Simgear unit test suites.
add_test(CanvasSimgearUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -m CanvasTests)
add_test(MathGeodesySimgearUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -m MathGeodesyTests)
add_test(SimgearPropsSimgearUnitTests ${TESTSUITE_OUTPUT_DIR}/fgfs_test_suite --ctest -m SimgearPropsTests)

# FGData test suites.

#-----------------------------------------------------------------------------
# Set up the binary.

# Set up the embedded resources.
setup_fgfs_embedded_resources()

# Sort the sources and headers for MSVC.
setup_msvc_grouping()

# Additional search paths for includes.
setup_fgfs_includes()

# All sources and headers to be built into the test suite.
get_property(FG_SOURCES GLOBAL PROPERTY FG_SOURCES)
get_property(FG_HEADERS GLOBAL PROPERTY FG_HEADERS)
get_property(EMBEDDED_RESOURCE_SOURCES GLOBAL PROPERTY EMBEDDED_RESOURCE_SOURCES)
get_property(EMBEDDED_RESOURCE_HEADERS GLOBAL PROPERTY EMBEDDED_RESOURCE_HEADERS)

set_source_files_properties(${EMBEDDED_RESOURCE_SOURCES} PROPERTIES GENERATED TRUE)
set_source_files_properties(${EMBEDDED_RESOURCE_HEADERS} PROPERTIES GENERATED TRUE)

# Set up the separate executable for running the test suite.
add_executable(fgfs_test_suite
    ${FG_SOURCES}
    ${FG_HEADERS}
    ${EMBEDDED_RESOURCE_SOURCES}
    ${EMBEDDED_RESOURCE_HEADERS}
    ${TESTSUITE_SOURCES}
    ${TESTSUITE_HEADERS}
)

add_dependencies(fgfs_test_suite buildId embeddedresources)
set_target_properties(fgfs_test_suite
    PROPERTIES
    RUNTIME_OUTPUT_DIRECTORY "${TESTSUITE_OUTPUT_DIR}"
)
if(ENABLE_AUTOTESTING)
    set(TEST_SUITE_COMMAND "fgfs_test_suite")
    set(TEST_SUITE_COMMENT "Running the full FlightGear test suite")
else()
    set(TEST_SUITE_COMMENT "Building the FlightGear test suite.")
endif(ENABLE_AUTOTESTING)

# Set up the target links.
setup_fgfs_libraries(fgfs_test_suite)

target_compile_definitions(fgfs_test_suite PUBLIC BUILDING_TESTSUITE)

# Additional libraries just for the test suite.
target_link_libraries(fgfs_test_suite ${CPPUNIT_LIBRARIES})

# target to run the tests
if (MSVC)
    file(TO_NATIVE_PATH "${FG_QT_BIN_DIR}" _qt5_bin_dir_native)
    file(TO_NATIVE_PATH "${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/bin" _msvc_3rdparty_bin_dir)
    file(TO_NATIVE_PATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}" _install_bin_dir)

    set(CMAKE_MSVCIDE_RUN_PATH "${_install_bin_dir};${_msvc_3rdparty_bin_dir};${_qt5_bin_dir_native}")
endif()

if (FG_QT_ROOT_DIR)
    # for QtPlatformHeaders
    target_include_directories(fgfs_test_suite PRIVATE ${FG_QT_ROOT_DIR}/include)
endif()


add_custom_target(test_suite
    ${TEST_SUITE_COMMAND}
    DEPENDS fgfs_test_suite
    COMMENT ${TEST_SUITE_COMMENT}
)

=== 3rdparty/cppunit/CMakeLists.txt ===
set(CPPUNIT_SOURCES
    ${CPPUNIT_SOURCES}
)
set(CPPUNIT_HEADERS
    ${CPPUNIT_HEADERS}
)

# Add the src and header directories.
add_subdirectory(src)
add_subdirectory(include)

foreach(s ${CPPUNIT_SOURCES})
    set_property(GLOBAL APPEND PROPERTY CPPUNIT_SOURCES "${s}")
endforeach()

foreach(h ${CPPUNIT_HEADERS})
    set_property(GLOBAL APPEND PROPERTY CPPUNIT_HEADERS "${h}")
endforeach()

=== 3rdparty/hidapi/CMakeLists.txt ===


set(HIDAPI_SOURCES
    hidapi/hidapi.h
    hidapi/hidparse.h
    hidparser/hidparse.c
)

if (WIN32)
    list(APPEND HIDAPI_SOURCES windows/hid.c)
elseif(APPLE)
    list(APPEND HIDAPI_SOURCES mac/hid.c)
else()
    list(APPEND HIDAPI_SOURCES linux/hid.c)
endif(WIN32)


#add_definitions( -DHAVE_CONFIG_H ) # to use fgfs config.h to get FG version, if needed
#add_definitions( -DLIBVER="SVN 261" ) # add an iaxclient_lib version string

add_library(hidapi STATIC
    ${HIDAPI_SOURCES}
)

if(WIN32)
    target_link_libraries(hidapi PUBLIC SetupApi)
elseif(APPLE)
    find_library(IOKIT_FRAMEWORK IOKit)
    target_link_libraries(hidapi ${IOKIT_FRAMEWORK})
else()
    # Linux-y things
    find_package(UDev QUIET)
    if (UDEV_FOUND)
        target_link_libraries(hidapi ${UDEV_LIBRARIES})
    else()
		message(FATAL_ERROR "Failed to find UDev")
	endif()
endif()

target_include_directories(hidapi PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/hidapi)
target_include_directories(hidapi PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

# eof

=== 3rdparty/joystick/CMakeLists.txt ===
message(STATUS "Enabling legacy joystick code (from PLIB)")

if(APPLE)
	# resolve frameworks to full paths
		find_library(IOKIT_LIBRARY IOKit)
		find_library(CF_LIBRARY CoreFoundation)
		set(JS_LIBS ${IOKIT_LIBRARY} ${CF_LIBRARY})
		set(JS_SOURCES js.cxx jsMacOSX.cxx)
elseif(WIN32)
		set(WINMM_LIBRARY winmm)
		set(JS_LIBS ${WINMM_LIBRARY})
		set(JS_SOURCES js.cxx jsWindows.cxx)
elseif(CMAKE_SYSTEM_NAME MATCHES "Linux")
		set(JS_SOURCES js.cxx jsLinux.cxx)
elseif(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
		find_library(USBHID_LIBRARY usbhid)
		# check_function_exists(hidinit)
		set(JS_LIBS ${USBHID_LIBRARY})
		set(JS_SOURCES js.cxx jsBSD.cxx)
else()
		message(WARNING "Unsupported platform for  Joystick")
		set(JS_SOURCES js.cxx jsNone.cxx)
endif()

add_library(PLIBJoystick STATIC ${JS_SOURCES})

# for logging code at least, more in the future
target_link_libraries(PLIBJoystick SimGearCore)

if(APPLE)
    target_link_libraries(PLIBJoystick ${IOKIT_LIBRARY} ${CF_LIBRARY} )
elseif(WIN32)
    target_link_libraries(PLIBJoystick ${WINMM_LIBRARY})
elseif(CMAKE_SYSTEM_NAME MATCHES "Linux")
    # no libs here?
elseif(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
	set_target_properties(PLIBJoystick PROPERTIES 
		COMPILE_DEFINITIONS "HAVE_USBHID_H")
	target_include_directories(PLIBJoystick PRIVATE ${USBHID_INCLUDE_DIR})
    target_link_libraries(PLIBJoystick ${USBHID_LIBRARY})
else()
    # other / none platform
endif()

target_include_directories(PLIBJoystick PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

# eof

=== src/AIModel/CMakeLists.txt ===
include(FlightGearComponent)

set(SOURCES
	AIAircraft.cxx
	AIBallistic.cxx
	AIBase.cxx
	AICarrier.cxx
	AIEscort.cxx
	AIFlightPlan.cxx
	AIFlightPlanCreate.cxx
	AIFlightPlanCreateCruise.cxx
	AIFlightPlanCreatePushBack.cxx
	AIGroundVehicle.cxx
	AIManager.cxx
	AIMultiplayer.cxx
	AIShip.cxx
	AIStatic.cxx
	AIStorm.cxx
	AITanker.cxx
	AIThermal.cxx
	AIWingman.cxx
	performancedata.cxx
	performancedb.cxx
	submodel.cxx
	)

set(HEADERS
	AIAircraft.hxx
	AIBallistic.hxx
	AIBase.hxx
	AICarrier.hxx
	AIEscort.hxx
	AIFlightPlan.hxx
	AIGroundVehicle.hxx
	AIManager.hxx
	AIMultiplayer.hxx
	AIShip.hxx
	AIStatic.hxx
	AIStorm.hxx
	AITanker.hxx
	AIThermal.hxx
	AIWingman.hxx
	performancedata.hxx
	performancedb.hxx
	submodel.hxx
	)

# Add sources if swift support is enabled
if(ENABLE_SWIFT)
	set(HEADERS
			${HEADERS}
			AISwiftAircraft.h
		)
	set(SOURCES
			${SOURCES}
			AISwiftAircraft.cpp
		)
endif()
    		
flightgear_component(AIModel "${SOURCES}" "${HEADERS}")

=== src/Airports/CMakeLists.txt ===
include(FlightGearComponent)

set(SOURCES
	apt_loader.cxx
	dynamicloader.cxx
	dynamics.cxx
	gnnode.cxx
	groundnetwork.cxx
	parking.cxx
	pavement.cxx
	runwaybase.cxx
	runwayprefloader.cxx
	runwayprefs.cxx
	runways.cxx
	sidstar.cxx
	airport.cxx
	xmlloader.cxx
        airportdynamicsmanager.cxx
	)

set(HEADERS
    airports_fwd.hxx
	apt_loader.hxx
	dynamicloader.hxx
	dynamics.hxx
	gnnode.hxx
	groundnetwork.hxx
	parking.hxx
	pavement.hxx
	runwaybase.hxx
	runwayprefloader.hxx
	runwayprefs.hxx
	runways.hxx
	sidstar.hxx
	airport.hxx
	xmlloader.hxx
        airportdynamicsmanager.hxx
	)
    		
flightgear_component(Airports "${SOURCES}" "${HEADERS}")

=== src/Scripting/CMakeLists.txt ===
include(FlightGearComponent)

set(SOURCES
  NasalSys.cxx
  nasal-props.cxx
  NasalAddons.cxx
  NasalAircraft.cxx
  NasalPositioned.cxx
  NasalPositioned_cppbind.cxx
  NasalCanvas.cxx
  NasalClipboard.cxx
  NasalCondition.cxx
  NasalHTTP.cxx
  NasalString.cxx
  NasalModelData.cxx
  NasalSGPath.cxx
  NasalUnitTesting.cxx
  NasalFlightPlan.cxx
)

set(HEADERS
  NasalSys.hxx
  NasalSys_private.hxx
  NasalAddons.hxx
  NasalAircraft.hxx
  NasalPositioned.hxx
  NasalCanvas.hxx
  NasalClipboard.hxx
  NasalCondition.hxx
  NasalHTTP.hxx
  NasalString.hxx
  NasalModelData.hxx
  NasalSGPath.hxx
  NasalFlightPlan.hxx
)

if(WIN32)
  list(APPEND SOURCES ClipboardWindows.cxx)
elseif(APPLE)
    list(APPEND SOURCES ClipboardCocoa.mm)
else()
  find_package(X11)
  if(X11_FOUND)
    list(APPEND SOURCES ClipboardX11.cxx)
  else()
    list(APPEND SOURCES ClipboardFallback.cxx)
  endif()
endif()

flightgear_component(Scripting "${SOURCES}" "${HEADERS}")

=== src/Viewer/CMakeLists.txt ===
include(FlightGearComponent)

set(SOURCES
	FGEventHandler.cxx
	WindowBuilder.cxx
	WindowSystemAdapter.cxx
	fg_os_osgviewer.cxx
	fgviewer.cxx
        ViewPropertyEvaluator.cxx
	splash.cxx
	view.cxx
	viewmgr.cxx
	)

set(HEADERS
	CameraGroup.hxx
	FGEventHandler.hxx
	WindowBuilder.hxx
	WindowSystemAdapter.hxx
	fgviewer.hxx
	renderer.hxx
	splash.hxx
	view.hxx
	viewmgr.hxx
	)

if (Qt5Core_FOUND)
    list(APPEND HEADERS GraphicsWindowQt5.hxx 
					    OSGQtAdaption.hxx)
    list(APPEND SOURCES GraphicsWindowQt5.cpp 
						OSGQtAdaption.cxx)
endif()

if (YES)
    list(APPEND HEADERS PUICamera.hxx)
    list(APPEND SOURCES PUICamera.cxx)
endif()

if (ENABLE_COMPOSITOR)
  list(APPEND SOURCES CameraGroup_compositor.cxx renderer_compositor.cxx)
  list(APPEND HEADERS CameraGroup_compositor.hxx renderer_compositor.hxx)
else ()
  list(APPEND SOURCES CameraGroup_legacy.cxx renderer_legacy.cxx renderingpipeline.cxx)
  list(APPEND HEADERS CameraGroup_legacy.hxx renderer_legacy.hxx renderingpipeline.hxx)
endif()

flightgear_component(Viewer "${SOURCES}" "${HEADERS}")

=== test_suite/FGTestApi/CMakeLists.txt ===
set(TESTSUITE_SOURCES
    ${TESTSUITE_SOURCES}
    ${CMAKE_CURRENT_SOURCE_DIR}/testGlobals.cxx
    ${CMAKE_CURRENT_SOURCE_DIR}/NavDataCache.cxx
    ${CMAKE_CURRENT_SOURCE_DIR}/PrivateAccessorFDM.cxx
    ${CMAKE_CURRENT_SOURCE_DIR}/scene_graph.cxx
    ${CMAKE_CURRENT_SOURCE_DIR}/TestPilot.cxx
    ${CMAKE_CURRENT_SOURCE_DIR}/NasalUnitTesting_TestSuite.cxx
    ${CMAKE_CURRENT_SOURCE_DIR}/TestDataLogger.cxx
    PARENT_SCOPE
)


set(TESTSUITE_HEADERS
    ${TESTSUITE_HEADERS}
    ${CMAKE_CURRENT_SOURCE_DIR}/testGlobals.hxx
    ${CMAKE_CURRENT_SOURCE_DIR}/NavDataCache.hxx
    ${CMAKE_CURRENT_SOURCE_DIR}/PrivateAccessorFDM.hxx
    ${CMAKE_CURRENT_SOURCE_DIR}/scene_graph.hxx
    ${CMAKE_CURRENT_SOURCE_DIR}/TestPilot.hxx
    ${CMAKE_CURRENT_SOURCE_DIR}/TestDataLogger.hxx
    PARENT_SCOPE
)

=== debian/changelog ===
flightgear (1:2020.3.16+dfsg-1ubuntu3) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.8.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Jan 2023 10:27:42 +0300

flightgear (1:2020.3.16+dfsg-1ubuntu2) lunar; urgency=medium

  * No-change rebuild against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 11 Dec 2022 11:09:13 +0300

flightgear (1:2020.3.16+dfsg-1ubuntu1) lunar; urgency=medium

  * Fix build on riscv64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 Dec 2022 23:18:14 +0100

flightgear (1:2020.3.16+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.3.16+dfsg
    - Refresh patches
    - Fix build failure with wrong patch
  * Update versioned Build-Dependencies to new data packages
  * Update Standards-Version to 4.6.1, no changes needed
  * Add Build-Depends on liblzma-dev

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 26 Oct 2022 19:51:29 +0200

=== debian/control ===
Source: flightgear
Maintainer: Debian FlightGear Crew <team+flightgear@tracker.debian.org>
Uploaders: Ove Kaaven <ovek@arcticnet.no>,
           Markus Wanner <markus@bluegap.ch>,
           Dr. Tobias Quathamer <toddy@debian.org>
Section: games
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               flightgear-data-ai (>= 1:2020.3.16~),
               flightgear-data-base (>= 1:2020.3.16~),
               flite1-dev,
               libboost-dev,
               libcurl4-gnutls-dev,
               libdbus-1-dev,
               libexpat1-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libgsm1-dev,
               libhtsengine-dev,
               liblzma-dev,
               libopenal-dev,
               libopenscenegraph-dev,
               libplib-dev,
               libqt5svg5-dev,
               libsimgear-dev (<= 1:2020.3.999),
               libsimgear-dev (>> 1:2020.3.16~),
               libspeex-dev,
               libspeexdsp-dev,
               libsqlite3-dev,
               libudev-dev [linux-any],
               libudns-dev,
               libusbhid-dev [kfreebsd-any],
               libx11-dev,
               qtbase5-dev [!armel !armhf],
               qtbase5-private-dev [!armel !armhf],
               qtdeclarative5-dev [!armel !armhf],
               qtdeclarative5-private-dev [!armel !armhf],
               qttools5-dev,
               zlib1g-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/flightgear
Vcs-Git: https://salsa.debian.org/debian/flightgear.git
Homepage: https://home.flightgear.org/
Rules-Requires-Root: no

Package: flightgear
Architecture: any
Depends: flightgear-data-all (>= 1:2020.3.16~),
         qml-module-qtquick-window2 [!armel !armhf],
         qml-module-qtquick2 [!armel !armhf],
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: flightgear-phi
Conflicts: metar
Description: Flight Gear Flight Simulator
 FlightGear Flight Simulator (often shortened to FlightGear or FGFS)
 is a sophisticated free, completely open-source flight simulator
 framework, created by volunteers.
 .
 This package contains the runtime binaries.

## flightgear 2020.3.18%2Bdfsg

=== src/Add-ons/CMakeLists.txt ===
include(FlightGearComponent)

set(SOURCES Addon.cxx
            AddonManager.cxx
            AddonMetadataParser.cxx
            AddonResourceProvider.cxx
            AddonVersion.cxx
            contacts.cxx
            exceptions.cxx
            )

set(HEADERS addon_fwd.hxx
            Addon.hxx
            AddonManager.hxx
            AddonMetadataParser.hxx
            AddonResourceProvider.hxx
            AddonVersion.hxx
            contacts.hxx
            exceptions.hxx
            pointer_traits.hxx
            )

flightgear_component(AddonManagement "${SOURCES}" "${HEADERS}")

=== test_suite/system_tests/FDM/CMakeLists.txt ===
set(TESTSUITE_SOURCES
    ${TESTSUITE_SOURCES}
    ${CMAKE_CURRENT_SOURCE_DIR}/TestSuite.cxx
    ${CMAKE_CURRENT_SOURCE_DIR}/testAeroMesh.cxx
    PARENT_SCOPE
)

set(TESTSUITE_HEADERS
    ${TESTSUITE_HEADERS}
    ${CMAKE_CURRENT_SOURCE_DIR}/testAeroMesh.hxx
    PARENT_SCOPE
)
